'\" Copyright (c) 1994 The Board of Trustees of The Leland Stanford
'\" Junior University.  All rights reserved.
'\" 
'\" Permission to use, copy, modify and distribute this software and its
'\" documentation for any purpose is hereby granted without fee, provided
'\" that the above copyright notice and this permission notice appear in
'\" all copies of this software and that you do not sell the software.
'\" Commercial licensing is available by contacting the author.
'\" 
'\" THE SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY OF ANY KIND,
'\" EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
'\" WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
'\" 
'\" Author:
'\"    Phil Lacroute
'\"    Computer Systems Laboratory
'\"    Electrical Engineering Dept.
'\"    Stanford University
'\" 
'\" $Date: 1994/12/31 19:49:53 $
'\" $Revision: 1.1 $
'\"
'\" Macros
'\" .FS <type>  --  function start
'\"     <type> is return type of function
'\"     name and arguments follow on next line
.de FS
.PD 0v
.PP
\\$1
.HP 8
..
'\" .FA  --  function arguments
'\"     one argument declaration follows on next line
.de FA
.IP " " 4
..
'\" .FE  --  function end
'\"     end of function declaration
.de FE
.PD
..
'\" .DS  --  display start
.de DS
.IP " " 4
..
'\" .DE  --  display done
.de DE
.LP
..
.TH vpTracePixel 3 "" VolPack
.SH NAME
vpTracePixel \- print a trace of the voxels composited into a pixel
.SH SYNOPSIS
#include <volpack.h>
.sp
.FS vpResult
\fBvpTracePixel(\fIvpc, trace_u, trace_v\fB)\fR
.FA
vpContext *\fIvpc;\fR
.FA
int \fItrace_u, trace_v;\fR
.FE
.SH ARGUMENTS
.IP \fIvpc\fR
VolPack context from \fBvpCreateContext.\fR
.IP "\fItrace_u, trace_v\fR"
Intermediate image coordinates of the pixel to trace.
.SH DESCRIPTION
This routine is for debugging the rendering algorithms.  If
\fI(trace_u, trace_v)\fR is a valid set of coordinates in the
intermediate image then a printout appears during rendering showing a
trace of all of the voxels that contribute to the pixel.  The
intermediate image is not the same as the final image; see
vpGetvpSetImage(3).
.PP
The VolPack library must be compiled with the -DDEBUG compiler option
for this function to have any effect.
.SH SEE ALSO
VolPack(3)
